Bug 53159 - New port: XFce 4 alternative icon box
Summary: New port: XFce 4 alternative icon box
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-10 19:00 UTC by James Earl
Modified: 2003-07-28 19:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Earl 2003-06-10 19:00:24 UTC
	XFce 4 alternative icon box to the task bar included in xfce-utils.
	This is part of the BETA1 release of XFce 4.

Fix: 

echo c - x11/xfce4-iconbox
mkdir -p x11/xfce4-iconbox > /dev/null 2>&1
echo x - x11/xfce4-iconbox/Makefile
sed 's/^X//' >x11/xfce4-iconbox/Makefile << 'END-of-x11/xfce4-iconbox/Makefile'
X# New ports collection makefile for:	xfce4-iconbox
X# Date created:		7 June 2003
X# Whom:			James Earl <jdearl@telus.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xfce4-iconbox
XPORTVERSION=	3.90.0
XCATEGORIES=	x11
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE} \
X		http://belnet.dl.sourceforge.net/sourceforge/xfce/ \
X		http://unc.dl.sourceforge.net/sourceforge/xfce/
XMASTER_SITE_SUBDIR=	xfce
XDIST_SUBDIR=	xfce4
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	XFce 4 icon box
X
XBUILD_DEPENDS=	xfce-mcs-manager:${PORTSDIR}/sysutils/xfce-mcs-manager
X
XUSE_GNOME=	gtk20
XUSE_X_PREFIX=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
XINSTALLS_SHLIB=	yes
XLDCONFIG_DIRS=	%%PREFIX%%/lib/xfce4/mcs-plugins
X
X.include <bsd.port.mk>
END-of-x11/xfce4-iconbox/Makefile
echo x - x11/xfce4-iconbox/distinfo
sed 's/^X//' >x11/xfce4-iconbox/distinfo << 'END-of-x11/xfce4-iconbox/distinfo'
XMD5 (xfce4/xfce4-iconbox-3.90.0.tar.gz) = b40b05a3f17b69f2c46adb83d158c5b4
END-of-x11/xfce4-iconbox/distinfo
echo x - x11/xfce4-iconbox/pkg-plist
sed 's/^X//' >x11/xfce4-iconbox/pkg-plist << 'END-of-x11/xfce4-iconbox/pkg-plist'
Xbin/xfce4-iconbox
Xlib/xfce4/mcs-plugins/xfce4-iconbox_settings.a
Xlib/xfce4/mcs-plugins/xfce4-iconbox_settings.la
Xlib/xfce4/mcs-plugins/xfce4-iconbox_settings.so
X@unexec rmdir %Dlib/xfce4/mcs-plugins 2>/dev/null || true
X@unexec rmdir %Dlib/xfce4 2>/dev/null || true
END-of-x11/xfce4-iconbox/pkg-plist
echo x - x11/xfce4-iconbox/pkg-descr
sed 's/^X//' >x11/xfce4-iconbox/pkg-descr << 'END-of-x11/xfce4-iconbox/pkg-descr'
XXFce 4 icon box (Lil' Star - IconBox) is an alternative for the taskbar
Xprovided in the xfce-utils module.
X
XWWW: http://www.xfce.org
END-of-x11/xfce4-iconbox/pkg-descr
exit
--- xfce4-iconbox ends here ---
Comment 1 Oliver Lehmann freebsd_committer 2003-07-05 08:56:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle this
Comment 2 Oliver Lehmann freebsd_committer 2003-07-28 19:39:55 UTC
State Changed
From-To: open->closed

Committed a slightly different and updated to rc2 version. Thanks a lot for your work!